### Hierarchy

- unknown
  - OfferAvailabilityResponse

## Index

### Constructors

- constructor

### Methods

- addSupportedCapabilities
- clearSupportedCapabilitiesList
- getAvailabilityResult
- getMakerSignature
- getOfferId
- getSupportedCapabilitiesList
- getUid
- serializeBinary
- setAvailabilityResult
- setMakerSignature
- setOfferId
- setSupportedCapabilitiesList
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OfferAvailabilityResponse(): OfferAvailabilityResponse

- Inherited from jspb.Message.constructor

  #### Returns OfferAvailabilityResponse

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:777

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns OfferAvailabilityResponse

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:776

  #### Returns OfferAvailabilityResponse

### getAvailabilityResult

- getAvailabilityResult(): AvailabilityResult

- - Defined in src/protobuf/pb_pb.d.ts:771

  #### Returns AvailabilityResult

### getMakerSignature

- getMakerSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:782

  #### Returns string

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:768

  #### Returns string

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:774

  #### Returns number[]

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:779

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:785

  #### Returns Uint8Array

### setAvailabilityResult

- setAvailabilityResult(value: AvailabilityResult ): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:772

  #### Parameters

  - ##### value: AvailabilityResult

  #### Returns OfferAvailabilityResponse

### setMakerSignature

- setMakerSignature(value: string): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:783

  #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityResponse

### setOfferId

- setOfferId(value: string): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:769

  #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityResponse

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:775

  #### Parameters

  - ##### value: number[]

  #### Returns OfferAvailabilityResponse

### setUid

- setUid(value: string): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:780

  #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityResponse

### toObject

- toObject(includeInstance?: boolean): OfferAvailabilityResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:786

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OfferAvailabilityResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:789

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferAvailabilityResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferAvailabilityResponse, reader: BinaryReader): OfferAvailabilityResponse

- - Defined in src/protobuf/pb_pb.d.ts:790

  #### Parameters

  - ##### message: OfferAvailabilityResponse

  - ##### reader: BinaryReader

  #### Returns OfferAvailabilityResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferAvailabilityResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:788

  #### Parameters

  - ##### message: OfferAvailabilityResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OfferAvailabilityResponse ): OfferAvailabilityResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:787

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferAvailabilityResponse

  #### Returns OfferAvailabilityResponse . AsObject

Generated using TypeDoc